import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';
import 'package:router/path/router_path.dart';

import '../modules/splash/page/splash_page.dart';

part 'app_page_router.gr.dart';

@AutoRouterConfig(replaceInRouteName: 'Page|Screen,PageRoute')
class AppRouter extends _$AppRouter {
  @override
  List<AutoRoute> get routes => [
        AutoRoute(page: SplashPageRoute.page, initial: true, path: RouterPath.splash),
      ];
}
